<?php


// Do you know that there is a php class that can deal with phone numbers validating 
// you can chech it https://github.com/giggsey/libphonenumber-for-php
// but if you decide not to use you can use below function


/**
 * This funtion checks if the given string is valid saudi mobile or not 
 *
 * @param string $mobile_phone_number
 * @return boolean
 */
function isValidSaudiMobile($mobile_phone_number){
	/**

	(009665|9665|\+9665|05|5)
        Validate that the contry code is for Saudi Arabia

	(5|0|3|6|4|9|1|8|7)
	Validate thar the telecome company prefix is correct
	0, 5, 3 : STC prefix
	6, 4 : Mobily prefix
	9, 8 : Zain prefix
	7 : MVNO prefix (Virgin and Lebara)
	1 : Bravo prefix

	The next string must be 7 chars from 0 to 9
	[0-9]{7}
	Validate that the input contains 7 digits after the country code and the telecome prefix.


	*/
	$regex_string = "/^(009665|9665|\+9665|05|5)(5|0|3|6|4|9|1|8|7)([0-9]{7})$/";
        $is_saudi_mobile = preg_match($regex_string, $mobile_phone_number);
        if ($is_saudi_mobile){
        	return true;
	} else {
		return false;
	}

}



//tests
echo "testing function isValidSaudiMobile()\n";
echo "======================================\n";
echo "validate mobile 0500411626 which is valid: ";
var_dump(isValidSaudiMobile('0500411626'));
echo "validate mobile 0570411626 which is invalid: ";
var_dump(isValidSaudiMobile('0520411626'));
echo "validate mobile 966500411626 which is valid: ";
var_dump(isValidSaudiMobile('966500411626'));

